This is a migrated thread and some comments may be shown as answers.

Previous Version of Fiddler

3 Answers 2447 Views
Extensions and Customization
This is a migrated thread and some comments may be shown as answers.
Vasu
Top achievements
Rank 1
Vasu asked on 28 Aug 2020, 06:01 PM
I am currently using fiddler and I wanted to get a exe file of fiddler version 5.0.20182.28034. So how would I go about doing that?

3 Answers, 1 is accepted

Sort by
0
Nick Iliev
Telerik team
answered on 31 Aug 2020, 01:04 PM

Hi Vasu,

 

We are not supporting older versions of Fiddler and we are not maintaining an archive with those versions. Only the latest version is available for download from the official link.

 

Regards,
Nick Iliev
Progress Telerik

Five days of Blazor, Angular, React, and Xamarin experts live-coding on twitch.tv/CodeItLive , special prizes and more, for FREE?! Register now for DevReach 2.0(20).

0
John
Top achievements
Rank 1
answered on 22 Feb 2021, 09:12 PM
The new version is garbage. It is their attempt to monetize an outstanding product. Get the old version here: https://download.cnet.com/Fiddler/3055-2648_4-77541912.html
0
Nick Iliev
Telerik team
answered on 23 Feb 2021, 06:28 AM

Hey, Everyone,

 

The link I've originally posted is the official link to the latest published version of the classic Fiddler.

The latest version of Fiddler Everywhere which is a different product from the FIddler family that works on macOS, Linux, and Windows can be found here.

As the link provided by John is not verified in any way, I would not recommend using that download link for getting the classic FIddler version (or any other FIddler product). Similar links are often compromised, so please use them with great caution, especially when downloading a MITM tool.

 

Regards,
Nick Iliev
Progress Telerik

Virtual Classroom, the free self-paced technical training that gets you up to speed with Telerik and Kendo UI products quickly just got a fresh new look + new and improved content including a brand new Blazor course! Check it out at https://learn.telerik.com/.

Mike
Top achievements
Rank 1
commented on 02 Jun 2021, 04:47 PM

Nick, one problem with this reply is that there is a bug report at https://feedback.telerik.com/fiddler/1471600-failed-to-register-fiddler-as-the-system-proxy-after-fiddler-update-to-5-0-20202-18177 where the recommendation is to use version 5.0.20182.28034.
Nick Iliev
Telerik team
commented on 03 Jun 2021, 07:40 AM

Apart from reverting to an old version, you could also try to use Automatically Detect Proxy using WPAD (given that you are experiencing the same issue as the one initially described in the linked thread). If you are facing a different issue, you could post a new forum thread and provide all the details about your specific case so that the Fiddler team could investigate it further.
 
There is no official download link for an older version of Fiddler Classic, so I strongly advise using external download links carefully and download only from sources you are 100% trusted.

chin
Top achievements
Rank 1
commented on 26 Dec 2021, 03:27 AM

I created an account just to make this comment. Like many others, the latest versions of Fiddler didn't work on my machine with the "Failed to register Fiddler as the system proxy" error, even with the WinHTTP service running. Installing the old 5.0.20182.28034 version made it work immediately.
Nick Iliev
Telerik team
commented on 27 Dec 2021, 11:24 AM

Hey chim bi,

 

Can you elaborate more on the network configuration on your PC? The latest version of the classic Fiddler uses the same techniques to set the system proxy as the older versions, so you should not experience much different behavior. Try to reset your proxy settings completely and start a new and share any errors that you see in the logs section.

Tags
Extensions and Customization
Asked by
Vasu
Top achievements
Rank 1
Answers by
Nick Iliev
Telerik team
John
Top achievements
Rank 1
Share this question
or